- [HTTP request](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#body.request_body)
- [Response body](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#body.aspect)
- [Try it!](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/aggregated#try-it)

List the jobs of a project across all regions.

**Note:** This method doesn't support filtering the list of jobs by name.

### IAM Permissions

Requires the `dataflow.jobs.list` permission on the project.

### HTTP request

Choose an endpoint:
global   
`GET https://dataflow.googleapis.com/v1b3/projects/{projectId}/jobs:aggregated`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` The project which owns the jobs. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | ``enum (`https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/Filter`)`` The kind of filter to use. |
| `view (deprecated)` | ``enum (`https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/JobView`)`` Deprecated. jobs.list always returns summaries now. Use jobs.get for other JobViews. |
| `pageSize` | `integer` If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit. |
| `pageToken` | `string` Set this to the 'nextPageToken' field of a previous response to request additional results in a long list. |
| `location` | `string` The [regional endpoint](https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. |
| `name` | `string` Optional. The job name. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/ListJobsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).